h1, h2, h3, p {
    margin: 0;
}

img {
    display: block;
    max-width: 100%;
    height: auto;
}

.container {
    max-width: 1158px;
    padding-left: 15px;
    padding-right: 15px;
    margin: 0 auto;
}

.section {
    padding-top: 120px;
    padding-bottom: 120px;
}

body { 
    background-color: white;
    color: #2e2f42;
    font-family: "Roboto", sans-serif;
}

.page-header {
    background-color: white;
    color: #2e2f42;
    border-bottom: 1px solid #e7e9fc;
    box-shadow: 0 1px 6px 0 rgba(46, 47, 66, 0.08), 0 1px 1px 0 rgba(46, 47, 66, 0.16), 0 2px 1px 0 rgba(46, 47, 66, 0.08);

}

.logo {
    font-family: "Raleway", sans-serif;
    font-size: 18px;
    line-height: 1.17;
    font-weight: 700;
    letter-spacing: 0.03em;
    text-decoration: none;
    margin-right: 76px;
}
 
.logo .web {
    color: #4d5ae5;
}
.logo .studio {
    color: #2e2f42;
}

ul {
    list-style: none;
    margin: 0;
    padding-left: 0;
}

.header-container {
    display: flex;
    align-items: center;  
}

.page-nav {
    display: flex;
    gap: 40px;
    text-decoration: none;   
}

.page-nav-link {
    color: #2e2f42;
    font-family: "Roboto", sans-serif;
    font-size: 16px;
    line-height: 1.5;
    font-weight: 500;
    letter-spacing: 0.02em;
    gap: 40px;
    padding-top: 24px;
    padding-bottom: 24px;
    text-decoration: none;
    transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.page-nav-link.current {
    position: relative;
}

.page-nav-link.current::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: -1px;
    border-radius: 2px;
    width: 100%;
    height: 4px;
    background-color: #404bbf;
}


.contacts {
    display: flex;
    flex-direction: row;
    gap: 40px;
    margin-left: auto;
    font-style: normal; 
}

.contacts-item {
    color: #434455;
    font-family: "Roboto",sans-serif;
    font-size: 16px;
    font-style: normal;
    line-height: 1.5;
    letter-spacing: 0.02em;
    padding-top: 24px;
    padding-bottom: 24px;
    text-decoration: none;
    transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.page-nav-link:hover,
.page-nav-link:focus, 
.contacts-item:hover,
.contacts-item:focus, 
.page-nav-link.current {
    color: #404bbf;

}

.page-main {
    background-color: white;
}
.page-title {
    background-color: #2e2f42;
    padding: 188px 0;
    text-align: center;
    background-image: linear-gradient(to bottom, rgba(46, 47, 66, 0.7),
    rgba(46, 47, 66, 0.7)),
    url(../images/people-office.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    max-width: 1440px;
    margin: 0 auto;
}

.title {
    color: white;
    font-family: "Roboto", sans-serif;
    font-size: 56px;
    letter-spacing: 0.02em;
    text-align: center;
    line-height: 1.07;
    max-width: 496px;
    margin: 0 auto 48px;
    
}

.button {
    background-color: #4d5ae5;
    color: white;
    font-family: "Roboto", sans-serif;
    font-size: 16px;
    cursor: pointer;
    line-height: 1.5;
    letter-spacing: 0.04em;
    font-weight: 500;
    border-radius: 4px;
    padding-block: 16px;
    padding-inline: 32px;
    display: inline-block;
    margin: 0 auto;
    border: none;
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.15);
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
   }

.button:hover,
.button:focus {
    background-color: #404bbf;
}

.header {
    color: #2e2f42;
    font-size: 20px;
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    letter-spacing: 0.02em;
    line-height: 1.2;
    margin-bottom: 8px;
}

 .visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    border: 0;
    padding: 0;
    white-space: nowrap;
    clip-path: inset(100%);
    clip: rect(0 0 0 0);
    overflow: hidden;
 }

 .feature-icons {
    border: 1px solid #8e8f99;
    border-radius: 4px;
    height: 112px;
    background-color: #f4f4fd;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 8px;
 }

 .list-features {
    display: flex;
    gap: 24px;
 }

 .list-item {
    width: calc((100% - 24px * 3) / 4);
    
 }
        
.section-text {
    color: #434455;
    font-size: 16px;
    font-family: "Roboto", sans-serif;
    letter-spacing: 0.02em;
    line-height: 1.5;
    max-width: 264px;
}

.section-team {
    background-color: #f4f4fd;
    padding-top: 120px;
    padding-bottom: 120px;
}

.page-team {
    color: #2e2f42;
    font-size: 36px;
    font-family: 'Roboto',sans-serif;
    font-weight: bold;
    letter-spacing: 0.02em;
    line-height: 1.11;
    text-align: center;
    margin-bottom: 72px;
}
.team-item {
    background-color: white;
    border-radius: 0 0 4px 4px;
    padding-inline: 0px;
    overflow: hidden;
    width: calc((100% - 24px * 3) / 4);
    box-shadow: 0 2px 1px 0 rgba(46, 47, 66, 0.08),
                0 1px 1px 0 rgba(46, 47, 66, 0.16),
                0 1px 6px 0 rgba(46, 47, 66, 0.08);
                
}



.team-list {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 24px;
    flex-direction: row;
}

.team-info {
    padding: 32px 16px;
    text-align: center;
}

.title-team {
    color: #2e2f42;
    font-family: 'Roboto',sans-serif;
    font-size: 20px;
    letter-spacing: 0.02em;
    font-weight: 500;
    text-align: center;
    margin-bottom: 8px;
}

.text-team {
    color: #434455;
    font-size: 16px;
    line-height: 1.5;
    font-family: 'Roboto',sans-serif;
    letter-spacing: 0.02em;
    text-align: center;
    margin-bottom: 8px;
}

.circle-icons {
    display: flex;
    width: 40px;
    height: 40px;
    justify-content: center;
    align-items: center;
    background-color: #4d5ae5;
    border-radius: 50%;
    border: 1px solid #4d5ae5;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.circle-icons:hover,
.circle-icons:focus {
    background-color: #404bbf;
}

.item-soc-icons {
    fill: #f4f4fd;
    display: flex;
    justify-content: center;
    align-items: center;
}
.icons-list {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
     gap: 24px
}
.section-portfolio {
    padding-top: 120px;
    padding-bottom: 120px;
}

.title-portfolio {
    color: #2e2f42;
    font-size: 36px;
    font-family: 'Roboto',sans-serif;
    font-weight: bold;
    letter-spacing: 0.02em;
    text-align: center;
    line-height: 1.11;
    margin-bottom: 72px;
}

.list-portfolio {
    display: flex;
    flex-wrap: wrap;
    gap: 48px 24px;
    justify-content: center;
    }

.overlay {
    position: relative;
    overflow: hidden;
}

.overlay-text {
    position: absolute;
    top: 0;
    left: 0;
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
    color: #f4f4fd;
    background-color: #4d5ae5;
    width: 100%;
    height: 100%;
    padding: 40px 32px;
    transform: translateY( 100%);
    transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.info-card {
    border-bottom: 1px solid #e7e9fc;
    border-left: 1px solid #e7e9fc;
    border-right: 1px solid #e7e9fc;
    padding: 32px 16px;
}

.portfolio-item {
width: calc((100% - 24px * 2) / 3);
transition: box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.portfolio-item:hover .overlay-text {
    transform: translateY(0);
}

.portfolio-item:hover,
.portfolio-item:focus {
    box-shadow: 0 2px 1px 0 rgba(46, 47, 66, 0.08),
                 0 1px 1px 0 rgba(46, 47, 66, 0.16),
                 0 1px 6px 0 rgba(46, 47, 66, 0.08);
}

.title-card {
    font-size: 20px;
    color: #2e2f42;
    letter-spacing: 0.02em;
    font-family: 'Roboto',sans-serif;
    text-align: left;
    font-weight: 500;
    line-height: 1.2;
    margin-bottom: 8px;
}

.text-card {
    font-size: 16px;
    color: #434455;
    font-family: 'Roboto',sans-serif;
    letter-spacing: 0.02em;
    text-align: left;
    line-height: 1.5;
}

.foot {
    background-color: #2e2f42;
    padding-top: 100px;
    padding-bottom: 100px;
    /* padding-left: 156px;
    padding-right: 159px; */
}

.text-foot {
    font-size: 16px;
    color: #f4f4fd;
    font-family: 'Roboto',sans-serif;
    letter-spacing: 0.02em;
    line-height: 1.5;
    margin-top: 16px;
    max-width: 264px;
    text-align: left;
}

.studio-foot {
    color: #f4f4fd;
    text-align: left;
}

.foot-container {
    display: flex;
    align-items: baseline;
}

.soc-footer {
    display: flex;
    align-items: baseline;
    flex-direction: column;
    width: 208px;
    margin-left: 120px;
}

.soc-text-footer {
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
    color: white;
    margin-bottom: 16px;
}

.icons-list-footer {
    display: flex;
    gap: 16px;
}

.circle-icons-footer {
    display: flex;
    width: 40px;
    height: 40px;
    justify-content: center;
    align-items: center;
    background-color: #4d5ae5;
    border-radius: 50%;
    border: 1px solid #2e2f42;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.circle-icons-footer:hover,
.circle-icons-footer:focus {
    background-color: #31d0aa;
}

.footer-input {
    display: flex;
    flex-direction: column;
    margin-left: auto;
}

.footer-form {
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 24px;

}

.text-field {
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
    color: white;
    margin-bottom: 16px;
}

.email-field {
    padding-left: 16px;
    border: 1px solid white;
    border-radius: 4px;
    width: 264px;
    height: 40px;
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.15);
    background-color: transparent;
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-size: 12px;
    line-height: 2;
    letter-spacing: 0.04em;
    color: white;
    transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.email-field:hover,
.email-field:focus {
    border-color: #31d0aa;

}
.email-field::placeholder {
    font-weight: 400;
    font-size: 12px;
    line-height: 2;
    letter-spacing: 0.04em;
    color: white;
}

.footer-btn {
    display: flex;
    align-items: center;
    flex-direction: row;
    border-radius: 4px;
    padding-block: 8px;
    padding-left: 24px;
    width: 165px;
    height: 40px;
    background-color: #4d5ae5;
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.04em;
    text-align: center;
    color: white;
    cursor: pointer;
    border: none;
    gap: 16px;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.footer-btn:hover,
.footer-btn:focus {
    background-color: #31d0aa;
}

.frame {
    fill: white;
}

.backdrop {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(46, 47, 66, 0.4);
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 250ms cubic-bezier(0.4, 0, 0.2, 1),
    visibility 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.backdrop.is-open {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 408px;
    min-height: 584px;
    background-color: #fcfcfc;
    box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.14), 0 1px 3px 0 rgba(0, 0, 0, 0.12), 0 2px 1px 0 rgba(0, 0, 0, 0.2);
    border-radius: 4px;
    transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
    padding: 72px 24px 24px 24px;
}
.backdrop:not(.is-open) .modal {
    transform: translate(-50%, -50%) scale(1.5);
}


.close-btn {
    fill: #2e2f42;
    position: absolute;
    top: 24px;
    right: 24px;
    border-radius: 100%;
    background-color: #e7e9fc;
    border: 1px solid rgba(0, 0, 0, 0.1);
    width: 24px;
    height: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.close-btn:hover,
.close-btn:focus,
.close-icon:hover,
.close-icon:focus {
    background-color: #404bbf;
    border: none;
    fill: white;
}

.text-modal {
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
    text-align: center;
    color: #2e2f42;
    margin-bottom: 16px;
}

.form-modal {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    flex-direction: column;
    border-radius: 4px;
    max-width: 360px;
    min-height: 336px;

}

.input-item {
    margin-top: 4px;
    margin-bottom: 8px;
    width: 360px;
    height: 40px;
    border: 1px solid rgba(46, 47, 66, 0.4);
    border-radius: 4px;
    background-color: #fcfcfc;
    padding-left: 38px;
    transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.label-modal {
    display: flex;
    font-weight: 400;
    font-size: 12px;
    line-height: 1.16667;
    letter-spacing: 0.04em;
    color: #8e8f99;
}

.input-icon-wrapper {
    position: relative;
}

.input-icon {
    fill: #2e2f42;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 16px;
    transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.input-item:focus {
    outline: transparent;
    border-color: #4d5ae5;
}

.input-item:focus + .input-icon {
    fill: #4d5ae5;
}

.comment-field {
    font-weight: 400;
    font-size: 12px;
    line-height: 1.16667;
    letter-spacing: 0.04em;
    color: #8e8f99;
    font-family: "Roboto", sans-serif;
}

.comment-text {
    font-weight: 400;
    font-size: 12px;
    line-height: 1.16667;
    letter-spacing: 0.04em;
    padding-left: 16px;
    padding-top: 8px;
    margin-top: 4px;
    border: 1px solid rgba(46, 47, 66, 0.4);
    border-radius: 4px;
    width: 360px;
    height: 120px;
    outline: transparent;
    resize: none;
    transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.comment-text:focus {
    border-color: #4d5ae5;
}

.comment-text::placeholder {
    font-weight: 400;
    font-size: 12px;
    line-height: 1.16667;
    letter-spacing: 0.04em;
    color: rgba(46, 47, 66, 0.4);
    background-color: #fcfcfc;
}

.check-label {
    margin-top: 16px;
    font-weight: 400;
    font-size: 12px;
    line-height: 1.16667;
    letter-spacing: 0.04em;
    color: #8e8f99;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: row;
    margin-bottom: 24px;
}

.input-wrapper {
    width: 360px;
}

.check-label-text {
    line-height: 1.33333;
    text-decoration: underline;
    text-decoration-skip-ink: none;
    color: #4d5ae5;
    margin-left: 4px;
}

.modal-check:checked + .check-label > .check-false {
    background-color: #404bbf;
    fill: #f4f4fd;
    border-color: #404bbf;

}

.check-false {
    fill: transparent;
    width: 16px;
    height: 16px;
    border-radius: 2px;
    border: 1px solid rgba(46, 47, 66, 0.4);
    margin-right: 8px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}


.modal-btn {
    border-radius: 4px;
    padding-block: 16px;
    padding-inline: 32px;
    width: 169px;
    height: 56px;
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.15);
    background-color: #4d5ae5;
    color: white;
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.04em;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);

}

.modal-btn:hover,
.modal-btn:focus {
    background-color: #404bbf;
    border: none;
}
